package TDS::IdentInfo;
# $Id: IdentInfo.pm,v 1.6 2000/12/08 02:02:29 tom Exp $
################################################################

{
    $Title = "Foo's Diary" unless defined $Title;
    $AuthorName = "Foo" unless defined $AuthorName;
    $MailAddress = 'foo@bar.com' unless defined $MailAddress;
    $DiaryURL = "http://www.foo.com/~foo/diary/" unless defined $DiaryURL;
#    warn times, " diary url: $DiaryURL";
}

sub Get($$)
{
    my ($self, $name) = @_;

    if ($name =~ /title/i){
	return $Title;
    } elsif ($name =~ /author/i){
	return $AuthorName;
    } elsif ($name =~ /address/i){
	return $MailAddress;
    } elsif ($name =~ /url/i){
	return $DiaryURL;
    } else {
	die "NO SUCH INFO: $name in TDS::IdentInfo";
    }
}

1;

